diff --git a/arch/arm/dts/meson-sm1-sei610.dts b/arch/arm/dts/meson-sm1-sei610.dts
index 2194a77897..b17f60fa90 100644
--- a/arch/arm/dts/meson-sm1-sei610.dts
+++ b/arch/arm/dts/meson-sm1-sei610.dts
@@ -13,7 +13,7 @@
 
 / {
 	compatible = "seirobotics,sei610", "amlogic,sm1";
-	model = "SEI Robotics SEI610";
+	model = "Armbian aml-s9xx-box u-boot s905x3";
 
 	aliases {
 		serial0 = &uart_AO;
diff --git a/configs/sei610_defconfig b/configs/sei610_defconfig
index ff7bcb330e..cc88bee32e 100644
--- a/configs/sei610_defconfig
+++ b/configs/sei610_defconfig
@@ -14,24 +14,25 @@ CONFIG_DEFAULT_DEVICE_TREE="meson-sm1-sei610"
 CONFIG_OF_LIBFDT_OVERLAY=y
 CONFIG_DM_RESET=y
 CONFIG_MESON_G12A=y
-CONFIG_DEBUG_UART_BASE=0xff803000
-CONFIG_DEBUG_UART_CLOCK=24000000
-CONFIG_IDENT_STRING=" sei610"
+# CONFIG_DEBUG_UART_BASE is not set
+# CONFIG_DEBUG_UART_CLOCK is not set
+CONFIG_IDENT_STRING=" armbian-sm1"
 # CONFIG_PSCI_RESET is not set
 CONFIG_SYS_LOAD_ADDR=0x1000000
-CONFIG_DEBUG_UART=y
+# CONFIG_DEBUG_UART is not set
 CONFIG_REMAKE_ELF=y
 CONFIG_OF_BOARD_SETUP=y
-CONFIG_USE_PREBOOT=y
-CONFIG_PREBOOT="run load_logo"
-# CONFIG_CONSOLE_MUX is not set
+#CONFIG_USE_PREBOOT is not set
+#CONFIG_PREBOOT is not set
+CONFIG_DISPLAY_BOARDINFO_LATE=y
+CONFIG_CONSOLE_MUX=y
 # CONFIG_DISPLAY_CPUINFO is not set
 CONFIG_MISC_INIT_R=y
-CONFIG_AVB_VERIFY=y
+# CONFIG_AVB_VERIFY is not set
 CONFIG_SYS_MAXARGS=32
 # CONFIG_CMD_BDI is not set
-CONFIG_CMD_ADTIMG=y
-CONFIG_CMD_ABOOTIMG=y
+# CONFIG_CMD_ADTIMG is not set
+# CONFIG_CMD_ABOOTIMG is not set
 # CONFIG_CMD_IMI is not set
 CONFIG_CMD_BCB=y
 CONFIG_CMD_GPIO=y
@@ -43,17 +44,17 @@ CONFIG_CMD_USB_MASS_STORAGE=y
 # CONFIG_CMD_SETEXPR is not set
 CONFIG_CMD_BMP=y
 CONFIG_CMD_REGULATOR=y
-CONFIG_CMD_AVB=y
+# CONFIG_CMD_AVB is not set
 CONFIG_OF_CONTROL=y
 CONFIG_ENV_IS_IN_MMC=y
 CONFIG_SYS_RELOC_GD_ENV_ADDR=y
 CONFIG_SYS_MMC_ENV_DEV=2
 CONFIG_SYS_MMC_ENV_PART=1
-CONFIG_USB_FUNCTION_FASTBOOT=y
-CONFIG_FASTBOOT_BUF_ADDR=0x6000000
-CONFIG_FASTBOOT_FLASH=y
-CONFIG_FASTBOOT_FLASH_MMC_DEV=2
-CONFIG_FASTBOOT_CMD_OEM_FORMAT=y
+# CONFIG_USB_FUNCTION_FASTBOOT is not set
+# CONFIG_FASTBOOT_BUF_ADDR is not set
+# CONFIG_FASTBOOT_FLASH is not set
+# CONFIG_FASTBOOT_FLASH_MMC_DEV is not set
+# CONFIG_FASTBOOT_CMD_OEM_FORMAT is not set
 # CONFIG_INPUT is not set
 CONFIG_MMC_MESON_GX=y
 CONFIG_DM_MDIO=y
@@ -67,8 +68,8 @@ CONFIG_POWER_DOMAIN=y
 CONFIG_MESON_EE_POWER_DOMAIN=y
 CONFIG_DM_REGULATOR=y
 CONFIG_DM_REGULATOR_FIXED=y
-CONFIG_DEBUG_UART_ANNOUNCE=y
-CONFIG_DEBUG_UART_SKIP_INIT=y
+# CONFIG_DEBUG_UART_ANNOUNCE is not set
+# CONFIG_DEBUG_UART_SKIP_INIT is not set
 CONFIG_MESON_SERIAL=y
 CONFIG_USB=y
 CONFIG_DM_USB_GADGET=y
@@ -94,4 +95,7 @@ CONFIG_VIDEO_BMP_RLE8=y
 CONFIG_BMP_16BPP=y
 CONFIG_BMP_24BPP=y
 CONFIG_BMP_32BPP=y
-CONFIG_LIBAVB=y
+# CONFIG_LIBAVB is not set
+CONFIG_CMD_BOOTEFI=y
+CONFIG_EFI_LOADER=y
+CONFIG_USB_KEYBOARD=y
diff --git a/include/configs/sei610.h b/include/configs/sei610.h
index 783eece271..c08a7ab72d 100644
--- a/include/configs/sei610.h
+++ b/include/configs/sei610.h
@@ -9,22 +9,6 @@
 #ifndef __CONFIG_H
 #define __CONFIG_H
 
-#define LOGO_UUID "43a3305d-150f-4cc9-bd3b-38fca8693846;"
-#define ROOT_UUID "ddb8c3f6-d94d-4394-b633-3134139cc2e0;"
-
-#define PARTS_DEFAULT \
-	"uuid_disk=${uuid_gpt_disk};" \
-	"name=logo,start=512K,size=2M,uuid=" LOGO_UUID \
-	"name=misc,size=512K,uuid=${uuid_gpt_misc};" \
-	"name=dtbo,size=8M,uuid=${uuid_gpt_dtbo};" \
-	"name=vbmeta,size=512K,uuid=${uuid_gpt_vbmeta};" \
-	"name=boot,size=32M,bootable,uuid=${uuid_gpt_boot};" \
-	"name=recovery,size=32M,uuid=${uuid_gpt_recovery};" \
-	"name=cache,size=256M,uuid=${uuid_gpt_cache};" \
-	"name=super,size=2304M,uuid=${uuid_gpt_super};" \
-	"name=userdata,size=12274M,uuid=${uuid_gpt_userdata};" \
-	"name=rootfs,size=-,uuid=" ROOT_UUID
-
-#include <configs/meson64_android.h>
+#include <configs/meson64.h>
 
 #endif /* __CONFIG_H */
